QGIS Application - Bug report #21406
QGIS 3 dialog size to small when when adding features to shape
2019-02-27 02:09 PM - Benjamin Gnep

Status: Feedback

Priority: Normal

Assignee:

Category: mac_os_specific

Affected QGIS version:3.4.4 Regression?: No
Operating System: MaxOS High Sierra 10.13.06 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29223
Description

When | set a shape file to editing mode and click into the map to add a new features the popup dialog with the attribute tablet opens very
small. | can manually adjust the size per mouse click to see the full content of the table and type in my edits. However, when | close the
dialog and want to add the next feature the dialog opens with the tiny size again and | have to adjust the window size again to be able to
add edits. That soon gets quite annoying when many features need to be added.

Related issues:
Related to QGIS Application - Bug report # 20380: Tiny Identify Results window Open 2018-11-06

History

#1 - 2019-03-01 08:14 PM - Giovanni Manghi
- Status changed from Open to Feedback
- Category changed from Editing to mac_os_specific

That dialog can be resized on Windows and Linux, strange is not on macOS?

#2 - 2019-03-04 08:23 PM - Leon van der Meulen

Related to #20380 ? In 3.6 I'm able to resize the dialog manually.

#3 - 2019-03-05 08:41 AM - Benjamin Gnep

| can adjust the dialog manually - that is not the problem. However, the default popup size is so small that | have to adjust this every time to be able to enter

data. That makes QGIS 3 almost useless when hundreds of points have to be entered as in my case. Then | need to switch back to QGIS 2.18 were the

popup size fits the dimensions of the attributes table and | can directly enter data without the need to adjust the dialog size first.

Indeed, it seems to be related to #20380

Any ideas what might be the problem or could be a workaround?

#4 - 2019-03-05 03:24 PM - Giovanni Manghi

- Related to Bug report #20380: Tiny Identify Results window added
